<?php

//=====================================
// LINKER Category Engine
//=====================================
// Filename : add.php
// Path  : Main directory
// last update : 2002/03/13
// Desc : Add User new Link
//=====================================


//=====================================
// File include part
//=====================================

$time1 = microtime();
include ("./function/base_info.php");
include ("./function/main_func.php");
include ("./function/$Sdb_type.php");
include ("./function/template.php");
include ("./function/userfield_info.php");
include ("./$Slang/u_common.php"); 

//=====================================
// DB_LAYER / TEMPLATE
//=====================================

$db = new DB_Sql($Sdb_host,$Sdb_user,$Sdb_pass,$Sselect_db);
$tpl = new Stemplate($Stemplate);

$tpl->assign( array( 
TEMPLATE => $Stemplate,
DOMAIN		 => $Sdomain,
CHARSET		=> $Scharset,
MWIDTH		 => $Smain_width,
BGCOLOR		=> $Sbgcolor,
ALIGN		=> $Salign,
PAGE_HEADER  => implode("",file("$Stemplate/header.html")),
PAGE_FOOTER  => implode("",file("$Stemplate/footer.html"))
));

show_menu();
show_here("","",$l_link_add);

//=====================================
// Link data Input Form part
//=====================================

if (!$switch) {

//template define
$tpl->define(	array(add => "add.html"));
$tpl->dyn_define ( "tdcol", "add" );
$tpl->dyn_define("upfile","add");

// Make category selectbox
$tpl->assign( array( VIEW_CAT => view_category("","",$sid,1) ));

// User Filed
for ($k=1 ;$k<=5 ;$k++) {
$u_name = ${"u_user" . $k};
$u_fname = "user". $k;

	if($u_name) {
	$tpl->assign( array( ADD_NAME	=> $u_name, ADD_RNAME	=> $u_fname )); 
	$tpl->parse("TDCOL", ".tdcol");
	}
}

// File upload

if ($Sfupload) {
$tpl->assign(array(L_UPLOAD => $l_upload ));
$tpl->parse("UPFILE", "upfile");
}


// Language
$tpl->assign( array(
L_LINK_ADD => $l_link_add,
L_ERROR_1 => $l_error_1,
L_ERROR_2 => $l_error_2,
L_ERROR_3 => $l_error_3,
L_ERROR_4 => $l_error_4,
L_ERROR_5 => $l_error_5,
L_ERROR_6 => $l_error_6,
L_ERROR_7 => $l_error_7,
L_ADD_PRE_TXT => $l_add_pre_txt,
L_TITLE	 => $l_title,
L_CAT => $l_cat,
L_SELECT_CAT => $l_select_cat,
L_SCONT => $l_scont,
L_LCONT => $l_lcont,
L_NAME => $l_name,
L_EMAIL => $l_email,
L_PASS => $l_pass,
L_ADD_SUBMIT => $l_add_submit,
L_ADD_HEAD => $l_add_head
));


$tpl->parse(MAIN,"add");
$tpl->simprint("MAIN");

}


//=====================================
// Insert Database
//=====================================

if ($switch=='add') {


$tpl->define(	array( add_sub => "add_sub.html" ));
$tpl->dyn_define ( "tdcol", "add_sub" );
$tpl->dyn_define ( "upfile", "add_sub" );

if (!$parent) errmsg($l_error_1);
if (!$title) errmsg($l_error_2);
if (!$url) errmsg($l_error_3);
if (!$scont) errmsg($l_error_4);
if (!$name) errmsg($l_error_5);
if (!$email) errmsg($l_error_6);
if (!$passwd) errmsg($l_error_7);
if (!check_email($email)) errmsg ($l_error_8);

$url = add_http($url);
$time = time();

//=====================================
//  fileupload part
//=====================================

if ($Sfupload && $upfile_name && $upfile_size >0) {

$upfile_ext = substr($upfile_name,-strlen(strrchr($upfile_name,"."))+1);  

if ($Sfupext) 	{
$extar = @implode("|", explode(",",$Sfupext));
if (!ereg($extar,$upfile_ext)) errmsg ($l_error_9);
}


$md5 = md5 (uniqid (rand()));
$check_upload = move_uploaded_file($upfile, "upfile/$md5");
if ($check_upload) {

	$add_filear[0]= $upfile_name;
	$add_filear[1]= $md5;
	$add_filear[2]= $upfile_size;
	$add_filear[3]= $upfile_type;
	$add_filear[4]= $upfile_ext;
	$add_filear[5]= 0;
	$add_file = serialize($add_filear);

  }
}

//---------------------------------
// Plus Link num and Selective query
//---------------------------------


$db->query("select path,pathtxt from LINKER_CAT where sid='$parent'");
$row = $db->nrecord();


if ($Saddtype) {			// 1 -> wait 0 -> link
$maxnum = maxnum("LINKER_WAIT","sid");

$query = "insert into LINKER_WAIT SET
sid = '$maxnum',
parent = '$parent',
title = '$title',
scont = '$scont',
lcont = '$lcont',
url = '$url',
path = '$row[path]',
name = '$name',
email ='$email',
passwd = '$passwd',
upfile = '$add_file',
user1='$user1',
user2='$user2',
user3='$user3',
user4='$user4',
user5='$user5'
";
}

else {


$maxnum = maxnum("LINKER_LINK","sid");

$query = "insert into LINKER_LINK SET
sid = '$maxnum',
parent = '$parent',
title = '$title',
scont = '$scont',
lcont = '$lcont',
url = '$url',
uptime = '$time',
path = '$row[path]',
pathtxt = '$row[pathtxt]',
name = '$name',
email ='$email',
passwd = '$passwd',
upfile = '$add_file',
user1='$user1',
user2='$user2',
user3='$user3',
user4='$user4',
user5='$user5',
c_new = 'Y'
";
if (isset($parent)) $db->query("update LINKER_CAT set sub_link = sub_link+1 where sid='$parent'");
}

$db->query($query);


//---------------------------------
// Add output Print
//---------------------------------

$category = str_replace($Ssepchar, $Sarrow ,stripslashes($row[pathtxt]));

$tpl->assign( array( 
CATEGORY			=> htmlspecial($category),
TITLE					=> htmlspecial($title),
SCONT				=> htmlspecial($scont),
LCONT				=> nl2br(htmlspecial($lcont)),
NAME					=> htmlspecial($name),
EMAIL				=> htmlspecial($email),
URL					=> htmlspecial($url),	
PASSWD			=> htmlspecial($passwd)	
	)
);


// User field
for ($k=1 ;$k<=5 ;$k++) {
$u_name = ${"u_user" . $k};
$u_fname = ${"user". $k};

	if($u_name) {
	$tpl->assign( array( ADD_NAME	=> $u_name, ADD_VALUE	=> htmlspecial($u_fname) )); 
	$tpl->parse("TDCOL", ".tdcol");
	}
}


// File Upload
if ($Sfupload) { 
$tpl->assign( array( L_UPLOAD => $l_upload , UPFILE_NAME => $upfile_name ));
$tpl->parse("UPFILE", "upfile");
}



$tpl->assign( array(
L_ADDED_CONTENT => $l_added_content,
L_TITLE	 => $l_title,
L_CAT => $l_cat,
L_SCONT => $l_scont,
L_LCONT => $l_lcont,
L_NAME => $l_name,
L_EMAIL => $l_email,
L_PASS => $l_pass
));


$tpl->parse("MAIN","add_sub");
$tpl->simprint("MAIN");
}


//====================================
// Establish time
//====================================

if ($Stime == "Y") check_time($time1);

?>